#pragma once

#ifndef _SCIDEVICE_H_
#define _SCIDEVICE_H_

#ifndef MAXDEVICES
#define MAXDEVICES 128
#endif // !MAXDEVICES

typedef	enum sci_comm_interface
{
	PCI_INT = 0, \
	USB_INT, \
	RS232_INT
} sci_comm_interface_t;

typedef	struct _SCIDEVICE
{
#ifdef NIVISA
	ViSession handle;
#else
	HANDLE handle;
#endif
	sci_comm_interface_t device_type;
	void *device_data;  //pointer to device data
} SCIDEVICE, *PSCIDEVICE;  //


//include for product def
#include "mj2_defs.h"

#endif 