#pragma once

#ifndef RS232_DEVICE_H__
#define RS232_DEVICE_H__

#ifdef __cplusplus
extern "C"
{
#endif

SCISTATUS Rs232Write(HANDLE deviceHandle, uint8_t *data, uint32_t len);
SCISTATUS Rs232Read(HANDLE deviceHandle, uint8_t *data, uint32_t len);
SCISTATUS Rs232SetBaudRate(HANDLE deviceHandle, uint8_t baudSelect);
SCISTATUS Rs232OpenDevice(char *commPort, uint8_t baudrate, PHANDLE deviceHandle);
SCISTATUS Rs232CloseDevice(HANDLE deviceHandle);
SCISTATUS Rs232SearchDevices(char **PortList, uint32_t *numberDevices);
SCISTATUS Rs232SearchDevicesLV(char *PortCatlist, uint32_t *numberDevices);

# 	ifdef __cplusplus
}
#	endif

#	endif  /* __H__ */	
