/*
 *
  ******************************************************************************
 * @attention
 *
 * Copyright (c) 2020-2023 SignalCore.
 * All rights reserved.
 *
 * This software is licensed under terms that can be found in the LICENSE file
 * in the root directory of this software component.
 * If no LICENSE file comes with this software, it is provided AS-IS.
 *
 ******************************************************************************
 */

/*
* 
*/

#include <stdint.h>
#include "sci_types.h"
#include "sci_pci_device.h"

#define TIMEOUT		1000000	// 500000 us

//
// Read a byte from the device register
//
SCISTATUS PciRead(HANDLE deviceHandle, uint8_t *dataIn, uint32_t size)
{
	//empty for Linux
	return 0;
}

//
// Write a byte to the device register
//
SCISTATUS PciWrite(HANDLE deviceHandle, uint8_t *dataOut, uint32_t size)
{
	//empty for Linux
	return 0;
}

SCISTATUS PciGetDeviceSn(HANDLE deviceHandle, uint32_t *serialNumber)
{
	//empty for Linux

	return 0;
}

//
// Search for devices based on PID and return serial numbers
//
SCISTATUS PciSearchDevices(char **serialNumberList, uint32_t *numberDevices)
{

	//empty for Linux

	return 0;
}

SCISTATUS PciSearchDevicesLV(char *serialNumberList, uint32_t *numberDevices)
{
	//empty for Linux

	return 0;	
}
//
// Open the device using device ID and serialNumber
//
SCISTATUS PciOpenDevice(char *deviceSerialNumber, uint8_t baudrate, PHANDLE deviceHandle)
{
	//empty for Linux

	return 0;
}

//
// Close the device via its handle
//
SCISTATUS PciCloseDevice(HANDLE deviceHandle)
{
	//empty for Linux
	return 0;
}