/*
 *
  ******************************************************************************
 * @attention
 *
 * Copyright (c) 2020-2023 SignalCore.
 * All rights reserved.
 *
 * This software is licensed under terms that can be found in the LICENSE file
 * in the root directory of this software component.
 * If no LICENSE file comes with this software, it is provided AS-IS.
 *
 ******************************************************************************
 */

/*
*
*/

#include <stdint.h>
#include "sci_types.h"
#include "sci_device.h"
#include "sci_rs232_device.h"


SCISTATUS Rs232Write(HANDLE deviceHandle, uint8_t *data, uint32_t len)
{
	// not defined in Linux
	UNREFERENCED_PARAMETER(deviceHandle);
	UNREFERENCED_PARAMETER(data);
	UNREFERENCED_PARAMETER(len);
	return 0;
}

SCISTATUS Rs232Read(HANDLE deviceHandle, uint8_t *data, uint32_t len)
{
	// not defined in Linux
	UNREFERENCED_PARAMETER(deviceHandle);
	UNREFERENCED_PARAMETER(data);
	UNREFERENCED_PARAMETER(len);
	return 0;
}

SCISTATUS Rs232OpenDevice(char *commPort, uint8_t baudrate, PHANDLE deviceHandle)
{
	// not defined in Linux
	
	return 0;
}

SCISTATUS Rs232CloseDevice(HANDLE deviceHandle)
{
	// not defined in Linux

	return 0;
}

SCISTATUS Rs232SearchDevices(char **PortList, uint32_t *numberDevices)
{
	// not defined in Linux

	return 0;
}

SCISTATUS Rs232SearchDevicesLV(char *PortCatlist, uint32_t *numberDevices)
{
	// not defined in Linux

	return 0;
}