/* sci_math.c defines math functions used */

#include <stdint.h>
#include "sci_math.h" 

double two_pt_interpolate(double x1, double x2, double y1, double y2, double x)
{
	return (y2 - y1) / (x2 - x1)*(x - x1) + y1;
}

uint8_t reverse_byte_bits(uint8_t byte)
{
	byte = (byte & 0xF0) >> 4 | (byte & 0x0F) << 4;
	byte = (byte & 0xCC) >> 2 | (byte & 0x33) << 2;
	byte = (byte & 0xAA) >> 1 | (byte & 0x55) << 1;
	return byte;
}